Bug 798474 - [abrt] geany-0.21-3.fc16: strlen: Process /usr/bin/geany was killed by signal 11 (SIGSEGV)
[abrt] geany-0.21-3.fc16: strlen: Process /usr/bin/geany was killed by signal...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gtk2 (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
abrt_hash:b222a21d59dd1eeb53611bcfffd...
:
: 699298 766261 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-28 18:50 EST by spam.hhein
Modified: 2013-02-13 13:26 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 13:26:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: dso_list (9.22 KB, text/plain)
2012-02-28 18:50 EST, spam.hhein
no flags Details
File: maps (44.77 KB, text/plain)
2012-02-28 18:50 EST, spam.hhein
no flags Details
File: backtrace (22.54 KB, text/plain)
2012-02-28 18:50 EST, spam.hhein
no flags Details

  None (edit)
Description spam.hhein 2012-02-28 18:50:48 EST
libreport version: 2.0.8
abrt_version:   2.0.7
backtrace_rating: 4
cmdline:        geany
comment:        Marked a set of text, tried to insert comments from Edit->Insert Comments->Insert Multiline Comment
crash_function: strlen
executable:     /usr/bin/geany
kernel:         3.2.7-1.fc16.x86_64
pid:            9610
pwd:            /home/s
reason:         Process /usr/bin/geany was killed by signal 11 (SIGSEGV)
time:           Wed 29 Feb 2012 12:41:54 AM CET
uid:            1000
username:       s
xsession_errors: 

backtrace:      Text file, 23077 bytes
dso_list:       Text file, 9440 bytes
maps:           Text file, 45841 bytes

build_ids:
:aaf7ed41612348bd1141db06cadd428244aa6ea5
:2976a5f82b01d5dedaaefdd41fa7a78b090c75a1
:78c1ade3665ad67db02654e2e74152270c5852b3
:e3c88cb9ea428bd61f4064dbd53acae2d396a1ec
:bba7258720d76248bf4777c7b466e1c20c680fe7
:5e8c36ca13a4af14fa6b1b45a0dbfb43ed6aed6e
:3fe76775bdb9fe33ee6221f90c9824d77f9fd652
:a594ab36356a9b6dc6ecf25a6124463ccbfd0a29
:32043a4ded0564b5068ef09128c7644695a3963b
:9d1209fc79304f03cc839de1c0036c61b48dfff8
:e9d1bf1bdd29a14569518d27fe703916569caf6c
:f9212ed439862ff35ae30df159efa719f1590cf3
:aaf62304b0fc10611d35b4f56005479d4c58868d
:0f0c9eed63ed279ceb0aef109eff8bcbb351e4bb
:f9fea7527e0deebd694acc251008975312a3f74a
:7994f114cf7189e482f2665fae8e351ed8bc05e3
:400444fb368f79b54959b083f449a1497bf71c13
:58f626f3815dd6adeb4a543bca2472ab98f2953b
:56cd5a4b8ecf7f375c95a4fd575895efbe294071
:8d258fc89aa3fa98b7e985128cd6271d64210e6e
:f1c1c2f443161a35db1f014309a4d267116279db
:2639b5594fe4d7897db63ecd1ebb9681438317a8
:5954d7bfe38b223be907cd2041fd537129ba4254
:48ddf15fc2e414c46b6454879c9ce90b3850496b
:0fe03f2aa418c7dbfdc2d0d1802a8e86b27d3120
:124bfd663f5587288e6e0da8497fb4153469e657
:23b6792e3218744316fd495002f40a037c2e0095
:f5ada7d6e027e6b7b79aeb0d88be441acd04d3f6
:5cb5f8da286abd58aeab3bd6676e661d52ec2b5d
:c77627880802c1f85074303f7296a1c35c57188f
:dc998e8c1e1dc44c684b9b86e753945a868e134a
:ec72f897bbac2f33aadee57e01b7e01bbed4c534
:de272a66db7a1b50e62eaf658976bce648412179
:330bdc2f39e5280e68b8908a8c1ea19d5fc1afae
:326a8a3c6e680bcf8dd08c846b6cfce31841aebe
:f0d50e3af2dfee021a327fb85a993a2312a98145
:6ecc3efaedf849a17c30a67fe15b4dacca1bd981
:48aea888319e1848137073c9cbde54a4c2a731c9
:4b4285058f7f6b39b7e7c45df83fd36c6833bfe4
:b2addb78b534f66e1c4fb01a407861181151bd8a
:700c536566e06857d8abfeea98d617c72a122d4a
:be507c791e34415e8f42f0e6030c889b2895cf9a
:638db099ff5fb986d1a092629d1bb1dca5be4904
:c5e777db418e7b567423c9ee00a707a172a7f824
:8acc43df965b3c0a70dcfad11c0ade056bdb055b
:3269336f76283d9cebaa8222e0017c80fd14bdf6
:e982a67c98e50c7c68039aec0859bc4dfc896270
:b3c60343c4ef09307cd644d5da914f6c14107c0b
:3cbc639da8b05f5cd87202ff77c5c335313d3276
:8138265e4585609c1f967a7502c63641090f9e88
:1a212c7f1515542b310ba92f6109efc9b5bf2b6e
:ee2f04900ae1f07517d91eba300ef385fccab1b8
:39294193f046cf15442542705526228c60d70a6e
:fd8a00c88eb1fd6872e45001f9ed4e5c6172995e
:aa733447f84020c94a66814e501a36e248cbb43d
:f0c93797c4d99646120c41280c8b21aac5e976b2
:af7538338303977947a549e4c9e4761fc57c8d64
:fa7dc878221deb8be2b164c150a23f7e75c8c289
:84befa1350d9f9c57cdf0bd8d0b6ad1474c644b3
:36a149d1e2c29890b616402f6bc5e3f69ca2738e
:8264e35452b2a930c1b9b092b87f32d42d69d8c5
:12ebe599358398f2c1a5294bb2dd387545474b65
:c8a4e40c84c2f52e78c64d31efc0191c565a9049
:163b323da65b708418226eb5fa8b057c731d1475
:e2e67b3ae2579e1667b73ad385f61552931024e9
:0911ea7c180d733724f89037b8e8a34e64024aec
:ccadad4ec7dab3bb6abc23f9d4cdf53ff01cb235
:dacf32a9a2f2b5077ba944e7b835cca6f637f78f
:4c842320387ff7f6f91b7842b223c16518be909f
:e3b0b6e83cc788b22448e8fd8e5d2d427ada428e
:07470201df55a5254027d05fa4dc509b10f2986a
:d460d68692c1b32346f469e0a9ab3933cf1f3d1c
:82cca0d5b06a649072a966dc4f05aded63d736bc
:c2d49d72ec1a1e68b39c3724693f83f44d80a259
:2670385f49fb9f120f7cf843f211e3c620da8632
:4d5437cf71ea3e4bac1c445da58ca7897d509d15
:1c6a95451ee19617be5abea3d121f0226d21ddda
:f6c579b56080c9f819289e84629816eec09165cb
:719a85c49c612de86619fed98146f316432aee92
:8b0f0f32d4400b2bf7632c55f013226297f44d17
:e5429e0905bedecc534b057783916ba43e06a66e
:5393d882ce329cabe4ddf6bedaef1cc906664889
:4953d1f613914126bccceb3cb96386647ffba9df
:8631fa022a75e4bfbd78f96ad368f88456e39cfe
:629741afcd33151307376c3151abe6fa851e3315
:1e0de72c7f10f33e0ee489a9a32c4e4f01902580
:b9d3a4213a482d034bebc7dc1ed2901a734a894d
:e2d68a0ee0872365dcc8c6640b7cd7b94c8276f2
:1406558950ff100eb0320a325b3ea7961ba1a775
:b0a2d0b4c09d819887ec7d711c8cf3977a074c4f
:a518a8b1b5c3e80dee813df05e951d205d6ac48c

environ:
:XDG_VTNR=1
:LDFLAGS=-L/opt/gtk/lib
:XDG_SESSION_ID=2
:HOSTNAME=minibld
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:XDG_SESSION_COOKIE=7aaced1a5f39849f5bf6cf7600000006-1330371070.750870-1091858459
:CPPFLAGS=-I/opt/gtk/include
:QTDIR=/usr/lib64/qt-3.3
:GNOME_KEYRING_CONTROL=/tmp/keyring-wClfWT
:QTINC=/usr/lib64/qt-3.3/include
:IMSETTINGS_MODULE=none
:USER=s
:USERNAME=s
:MAIL=/var/spool/mail/s
:PATH=/usr/lib64/qt-3.3/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/s/go/bin:/opt/gtk/lib:/home/s/.local/bin:/home/s/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/s
:XMODIFIERS=@im=none
:KDE_IS_PRELINKED=1
:GNOME_KEYRING_PID=1470
:LANG=en_US.utf8
:GDM_LANG=en_US.utf8
:KDEDIRS=/usr
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:HOME=/home/s
:XDG_SEAT=seat0
:SHLVL=1
:LOGNAME=s
:QTLIB=/usr/lib64/qt-3.3/lib
:CVS_RSH=ssh
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-dtD05DZsWD,guid=1b64ad009185a4396512b9f300000038
:PKG_CONFIG_PATH=/opt/gtk/lib/pkgconfig
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/s
:DISPLAY=:0
:XAUTHORITY=/var/run/gdm/auth-for-s-n1l1XM/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1475,unix/unix:/tmp/.ICE-unix/1475
:GPG_AGENT_INFO=/tmp/keyring-wClfWT/gpg:0:1
:SSH_AUTH_SOCK=/tmp/keyring-wClfWT/ssh
:GJS_DEBUG_OUTPUT=stderr
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:DESKTOP_STARTUP_ID=gnome-shell-1701-minibld-geany-11_TIME88761658
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/fedora-geany.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=9610

smolt_data:
:
:
:General
:=================================
:UUID: ce0dc118-9677-4301-9508-6e008eb55933
:OS: Fedora release 16 (Verne)
:Default run level: Unknown
:Language: en_US.utf8
:Platform: x86_64
:BogoMIPS: 6000.32
:CPU Vendor: AuthenticAMD
:CPU Model: AMD A8-3870 APU with Radeon(tm) HD Graphics
:CPU Stepping: 0
:CPU Family: 18
:CPU Model Num: 1
:Number of CPUs: 4
:CPU Speed: 3000
:System Memory: 7477
:System Swap: 1471
:Vendor: System manufacturer
:System: System Product Name System Version
:Form factor: Desktop
:Kernel: 3.2.7-1.fc16.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(4130:30721:4163:33991) pci, ahci, STORAGE, Hudson SATA Controller [AHCI mode]
:(4130:30738:4163:33991) pci, xhci_hcd, USB, Hudson USB XHCI Controller
:(4130:30738:4163:33991) pci, xhci_hcd, USB, Hudson USB XHCI Controller
:(4130:5893:4163:33992) pci, None, HOST/PCI, Family 12h Processor Root Complex
:(4098:5908:4163:33992) pci, snd_hda_intel, MULTIMEDIA, N/A
:(4098:38464:4163:33992) pci, radeon, VIDEO, N/A
:(5772:43:6715:7561) pci, ath9k, NETWORK, AR9285 Wireless Network Adapter (PCI-Express)
:(4130:5912:0:0) pci, None, HOST/PCI, Family 12h/14h Processor Function 6
:(4130:5892:0:0) pci, None, HOST/PCI, Family 12h/14h Processor Function 4
:(4130:5913:0:0) pci, None, HOST/PCI, Family 12h/14h Processor Function 7
:(4130:5910:0:0) pci, None, HOST/PCI, Family 12h/14h Processor Function 5
:(4130:5889:0:0) pci, None, HOST/PCI, Family 12h/14h Processor Function 1
:(4130:5888:0:0) pci, None, HOST/PCI, Family 12h/14h Processor Function 0
:(4130:5891:0:0) pci, k10temp, HOST/PCI, Family 12h/14h Processor Function 3
:(4130:5890:0:0) pci, None, HOST/PCI, Family 12h/14h Processor Function 2
:(4332:33128:4163:33842) pci, r8169, ETHERNET, P8P67 Deluxe Motherboard [Realtek RTL8111E]
:(4130:17312:4130:0) pci, pcieport, PCI/PCI, N/A
:(4130:17313:4130:0) pci, pcieport, PCI/PCI, N/A
:(4130:17314:4130:0) pci, pcieport, PCI/PCI, N/A
:(4130:30731:4163:33991) pci, piix4_smbus, SERIAL, Hudson SMBus Controller
:(4130:30734:4163:33991) pci, None, PCI/ISA, Hudson LPC Bridge
:(4130:30733:4163:33933) pci, snd_hda_intel, MULTIMEDIA, Hudson Azalia Controller
:(4130:30729:4163:33991) pci, ohci_hcd, USB, Hudson USB OHCI Controller
:(4130:30735:0:0) pci, None, PCI/PCI, Hudson PCI Bridge
:(4130:30728:4163:33991) pci, ehci_hcd, USB, Hudson USB EHCI Controller
:(4130:30727:4163:33991) pci, ohci_hcd, USB, Hudson USB OHCI Controller
:(4130:30728:4163:33991) pci, ehci_hcd, USB, Hudson USB EHCI Controller
:(4130:30727:4163:33991) pci, ohci_hcd, USB, Hudson USB OHCI Controller
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_minibld-lv_root / ext4 4096 4096 9425634 7269363 7175027 2359296 2104162 2104162
:/dev/sda2 /boot ext4 1024 1024 508745 410601 385001 128016 127779 127779
:/dev/mapper/vg_minibld-lv_home /home ext4 4096 4096 4694765 3786087 3550567 1179648 1133763 1133763
:/dev/sdc1 WITHHELD fuseblk 4096 4096 244190260 50375512 50375512 201567584 201557057 201557057
:/dev/sdb2 WITHHELD fuseblk 4096 4096 488352511 425486314 425486314 1702207400 1702063100 1702063100
:/dev/sde WITHHELD vfat UNKNOWN UNKNOWN UNKNOWN UNKNOWN UNKNOWN UNKNOWN UNKNOWN UNKNOWN
:/dev/sdd WITHHELD vfat UNKNOWN UNKNOWN UNKNOWN UNKNOWN UNKNOWN UNKNOWN UNKNOWN UNKNOWN
:

var_log_messages:
:Feb 26 20:12:04 minibld yum[2891]: Installed: geany-0.21-3.fc16.x86_64
:Feb 26 20:46:12 minibld yum[4017]: Installed: geany-0.21-3.fc16.x86_64
:Feb 27 16:41:13 minibld yum[11344]: Installed: geany-plugins-common-0.21-2.fc16.x86_64
:Feb 27 16:41:14 minibld yum[11344]: Installed: ldc-phobos-geany-tags-2-4.20110801git58d40d2.fc16.x86_64
:Feb 27 16:41:15 minibld yum[11344]: Installed: geany-plugins-xmlsnippets-0.21-2.fc16.x86_64
:Feb 27 16:41:15 minibld yum[11344]: Installed: geany-plugins-geanygdb-0.21-2.fc16.x86_64
:Feb 27 16:41:15 minibld yum[11344]: Installed: geany-plugins-shiftcolumn-0.21-2.fc16.x86_64
:Feb 27 16:41:15 minibld yum[11344]: Installed: geany-plugins-addons-0.21-2.fc16.x86_64
:Feb 27 16:41:15 minibld yum[11344]: Installed: geany-plugins-debugger-0.21-2.fc16.x86_64
:Feb 27 16:41:15 minibld yum[11344]: Installed: geany-plugins-geanylatex-0.21-2.fc16.x86_64
:Feb 27 16:41:15 minibld yum[11344]: Installed: geany-plugins-geanydoc-0.21-2.fc16.x86_64
:Feb 27 16:42:44 minibld yum[11359]: Installed: geany-plugins-geanyvc-0.21-2.fc16.x86_64
:Feb 27 16:42:44 minibld yum[11359]: Installed: geany-plugins-geanyprj-0.21-2.fc16.x86_64
:Feb 27 16:42:45 minibld yum[11359]: Installed: geany-plugins-gproject-0.21-2.fc16.x86_64
:Feb 29 00:41:54 minibld kernel: [101499.570224] geany[9610]: segfault at 0 ip 00000036b1c888e1 sp 00007ffff8db81a8 error 4 in libc-2.14.90.so[36b1c00000+1ad000]
:Feb 29 00:41:54 minibld abrt[13181]: Saved core dump of pid 9610 (/usr/bin/geany) to /var/spool/abrt/ccpp-2012-02-29-00:41:54-9610 (64638976 bytes)
Comment 1 spam.hhein 2012-02-28 18:50:53 EST
Created attachment 566425 [details]
File: dso_list
Comment 2 spam.hhein 2012-02-28 18:50:56 EST
Created attachment 566426 [details]
File: maps
Comment 3 spam.hhein 2012-02-28 18:50:58 EST
Created attachment 566427 [details]
File: backtrace
Comment 4 abrt-bot 2012-03-21 14:02:51 EDT
*** Bug 766261 has been marked as a duplicate of this bug. ***
Comment 5 abrt-bot 2012-03-30 08:25:24 EDT
Backtrace analysis of bugs across components suggests the actual bug is in component gtk2 instead of component geany, reassigning to gtk2.

Bugs which were found to be similar to this bug: 
  geany: bug #766261
  nautilus: bug #652777, bug #699298

This comment is automatically generated.
Comment 6 abrt-bot 2012-03-30 08:25:40 EDT
*** Bug 699298 has been marked as a duplicate of this bug. ***
Comment 7 Fedora End Of Life 2013-01-16 10:30:23 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Fedora End Of Life 2013-02-13 13:26:46 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.